Ocena wątku:
  • 0 głosów - średnia: 0
  • 1
  • 2
  • 3
  • 4
  • 5
WIne 4.3, Wine HQ, Virtualbox a Mint 17.01
#1
0
Nie działa! No nie i już. Odmówiły współpracy, a ja zaczynam rwać włosy z głowy. Od wczoraj walczę z instalacją Wine HQ i Wine 4.3 na mojej miętówce. Niestety nawet z terminala nie ma takiej możliwości bo nie znajduje poszczególnych elementów i się na tym wywala. Jako, że pilnie potrzebuję środowiska Windows 7 lub wyżej (praca w korpo, nie wszystko jest kompatybilne z Linuxem, a niestety potrzebny mi program stanowczo nie jest, a za to jest kluczowy dla mojej pracy) próbowałam też Virtualboxa. Niestety... Ten mi melduje, że nie mam odpowiednich elementów... Zaktualizowałam wszystko co można było zaktualizować, pościągałam wszystkie możliwe pakiety do ściągnięcia, znów zaktualizowałam, przekopałam się przez menadżera i nic. Nie ma. Nie działa. Help! Potrzebuję w trybie pilnym kogoś, kto wie jak sobie z tym poradzić, bo ja już nie daję rady.
Odpowiedz
#2
0
My też raczej nie będziemy wiedzieć, dopóki nie dostarczysz jakiś informacji nadających się do analizy.
Nie wiemy jakie błędy się pojawiały, nie wiemy jak/skąd instalowałaś wine.
Nie wiemy jakie błędy się pojawiały, nie wiemy jak/skąd instalowałaś vboksa.

Na razie wiemy, że system jest aktualny i na pewno już stary jak na obecne czasy.
Przejście na wersję 18.3 lub 19.x wchodzi w rachubę?.
Czemu to musi być akurat wine 4.3?
Jaki to program, jakiś popularny?
Odpowiedz
#3
0
(29-03-2019, 14:40)dedito napisał(a): My też raczej nie będziemy wiedzieć, dopóki nie dostarczysz jakiś informacji nadających się do analizy.
Nie wiemy jakie błędy się pojawiały, nie wiemy jak/skąd instalowałaś wine.
Nie wiemy jakie błędy się pojawiały, nie wiemy jak/skąd instalowałaś vboksa.

Na razie wiemy, że system jest aktualny i na pewno już stary jak na obecne czasy.
Przejście na wersję 18.3 lub 19.x wchodzi w rachubę?.
Czemu to musi być akurat wine 4.3?
Jaki to program, jakiś popularny?

Virtualboxa instalowałam z zasobów managera pakietów. Wine 4.3 to najwyższa wersja jaką znalazłam w sieci opisaną jako obsługującą windows7 i wyżej. Zaraz wstawię to co mi się w terminalu pojawia kiedy próbuję uruchomić instalację. 5 minut i będzie.
Odpowiedz
#4
0
To może podzielmy ten wątek na dwa.
Osobno omawiajmy Vbox i osobno Wine, bo inaczej zrobi się bałagan.
Odpowiedz
#5
0
Przy wine 4.3 jest komunikat:
configure:4675: error: in /home/kelebriana/Pulpit/wine-4.3':
configure:4677: error: C compiler cannot create executables
See
config.log' for more details

a przy Virtualbox problem pojawia się przy próbie uruchomienia stworzonego wirtualnego dysku z windows 7




Kernel driver not installed (rc=-1908)

The VirtualBox Linux kernel driver (vboxdrv) is either not loaded or there is a permission problem with /dev/vboxdrv. Please reinstall the kernel module by executing

'/etc/init.d/vboxdrv setup'

as root. If it is available in your distribution, you should install the DKMS package first. This package keeps track of Linux kernel changes and recompiles the vboxdrv kernel module if necessary.
p, li { white-space: pre-wrap; }

i

Failed to open a session for the virtual machine Praca.
The virtual machine 'Praca' has terminated unexpectedly during startup with exit code 1 (0x1).
p, li { white-space: pre-wrap; } 

Próbowałam przemigrować na wyższą wersję miętówki, ale melduje z kolei, że jest problem z wyzwalaczem i nie uruchomi się.
Odpowiedz
#6
1
Better response on post RE: WIne 4.3, Wine HQ, Virtualbox a Mint 17.01Te wine próbujesz kompilować ze źródeł?

Na stronie wine masz instrukcję jak instalować binarki.
https://wiki.winehq.org/Ubuntu

Zapewne masz system 64 bit, więc załącz architekturę 32 bit:
sudo dpkg --add-architecture i386
Pobierz i zainstaluj klucz do repozytorium:
wget -nc https://dl.winehq.org/wine-builds/winehq.key
sudo apt-key add winehq.key

W Twoim przypadku dalsza instalacja dla Mint 17.x:
sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ trusty main'
potem odświeżasz bazę oprogramowania:
sudo apt update
potem w zależności jaką wersję wybierzesz:
Stable branch
sudo apt install --install-recommends winehq-stable
Development branch
sudo apt install --install-recommends winehq-devel
Staging branch
sudo apt install --install-recommends winehq-staging
Odpowiedz
#7
0
Ściągnęłam je z tej strony:

https://www.instalki.pl/programy/downloa.../Wine.html

jako podobno kompletny i gotowy do instalacji pakiet. Zwykle rzeczywiście były takie. Ten jednak się buntuje. W zasobniku mojej miętówki jest tylko wine obsługujący windowsa do wersji XP a to niestety za mało.
Odpowiedz
#8
0
Nie pobieraj z takich stron.
Korzystaj ze stron producenta.
Spójrz na moją poprzednią wiadomość, uzupełniłem instrukcje.
Odpowiedz
#9
0
(29-03-2019, 15:14)dedito napisał(a): Te wine próbujesz kompilować ze źródeł?

Na stronie wine masz instrukcję jak instalować binarki.
https://wiki.winehq.org/Ubuntu

Zapewne masz system 64 bit, więc załącz architekturę 32 bit:
sudo dpkg --add-architecture i386
Pobierz i zainstaluj klucz do repozytorium:
wget -nc https://dl.winehq.org/wine-builds/winehq.key
sudo apt-key add winehq.key

W Twoim przypadku dalsza instalacja dla Mint 17.x:
sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ trusty main'
potem odświeżasz bazę oprogramowania:
sudo apt update
potem w zależności jaką wersję wybierzesz:
Stable branch
sudo apt install --install-recommends winehq-stable
Development branch
sudo apt install --install-recommends winehq-devel
Staging branch
sudo apt install --install-recommends winehq-staging

Akurat mam 32 bitowego miętuska. Więc jak rozumiem pominąć kwestię zmiany architektury i lecieć dalej tak jak napisałeś?
Odpowiedz
#10
0
Tak jest.
Odpowiedz


Skocz do:


Użytkownicy przeglądający ten wątek: 1 gości